import { get, put, post, deletes } from '@/http/index'

// 查询飞机构型列表
export const getAirConfiguration = async (data) => {
  return await get('/als/airConfiguration/list', data)
}

// 新增飞机构型
export const addAirConfiguration = async (data) => {
  return await post('/als/airConfiguration', data)
}

// 修改飞机构型
export const updateAirConfiguration = async (data) => {
  return await put('/als/airConfiguration', data)
}

// 删除飞机构型
export const removeAirConfiguration = async (id) => {
  return await deletes('/als/airConfiguration/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
